/*
 * MIT License
 *
 * Copyright (c) 2018-2019 Daniel Cortes
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

package danielcortes.xyz.models.documentos;

import danielcortes.xyz.models.caja.Caja;
import java.util.Objects;

public class Documentos {
  public final static Documentos EMPTY;

  static{
    EMPTY = new Documentos();
    EMPTY.setCaja(Caja.EMPTY);
  }

  private int id;
  private int cheques;
  private int tarjetas;
  private int retiros;
  private Caja caja;

  public int getId() {
    return id;
  }

  public void setId(int id) {
    this.id = id;
  }

  public int getCheques() {
    return cheques;
  }

  public void setCheques(int cheques) {
    this.cheques = cheques;
  }

  public int getTarjetas() {
    return tarjetas;
  }

  public void setTarjetas(int tarjetas) {
    this.tarjetas = tarjetas;
  }

  public int getRetiros() {
    return retiros;
  }

  public void setRetiros(int retiros) {
    this.retiros = retiros;
  }

  public Caja getCaja() {
    return caja;
  }

  public void setCaja(Caja caja) {
    this.caja = caja;
  }

  @Override
  public String toString() {
    return "Documentos{" +
        "id=" + id +
        ", cheques=" + cheques +
        ", tarjetas=" + tarjetas +
        ", retiros=" + retiros +
        ", caja=" + caja +
        '}';
  }

  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (!(o instanceof Documentos)) {
      return false;
    }
    Documentos that = (Documentos) o;
    return id == that.id &&
        cheques == that.cheques &&
        tarjetas == that.tarjetas &&
        retiros == that.retiros &&
        Objects.equals(caja, that.caja);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, cheques, tarjetas, retiros, caja);
  }
}
